﻿© 2003 Fluke Corporation. All Rights Reserved.              MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 3245A ACV Squarewave Risetime VER IEEE /6680
INSTRUMENT:            Sub HP 3245A ACV Squarewave Symmetry VER IEEE /6680
INSTRUMENT:            Sub HP 3245A ACV Frequency Accuracy VER IEEE /6680
INSTRUMENT:            Sub HP 3245A Reference Frequency VER IEEE /6680
DATE:                  07-Oct-2003
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       119
CONFIGURATION:         Philips PM 6680
=============================================================================
#
#  Author:
#        DFM
#
# Compatibility:
#        MET/CAL 7.01 or later
#
# Subprocedures:
#        None
#
# Required Files:
#        None
#
# Registers Used:
#
#  Local:
#   L[1] = Initial square wave symmetry reading
#
#  Global:
#   None
#
#  String:
#        S[6] = UUT channel under test ("A" or "B") designator
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SQUARE_RISETIME              PSUBI("Risetime")
  1.002  JMPL         SQUARE_SYMMETRY              PSUBI("Symmetry")
  1.003  JMPL         ACV_FREQUENCY                PSUBI("ACV Frequency")
  1.004  JMPL         REF_FREQUENCY                PSUBI("Reference")
  1.005  DISP         Called subprocedure not found!
  1.006  END

  1.007  LABEL        SQUARE_RISETIME
  1.008  RSLT         =
  1.009  RSLT         =Channel [S6]
  1.010  HEAD         SQUARE WAVE RISE TIME (Channel [S6]): 10 Vpp
  1.011  TARGET       -p
  1.012  DISP         Connect UUT Channel [S6] OUTPUT to PM 6680 Ch. A input.
  1.013  IEEE         IMP 50;APPLY SQV 10
  1.014  M680         2T
  1.015  TARGET       -m
  1.016  6680         250nT          -0U +250U     10Vpp             RF    L
  2.001  JMPL         END

  2.002  LABEL        SQUARE_SYMMETRY
  2.003  RSLT         =
  2.004  RSLT         =Channel [S6]
  2.005  HEAD         SQUARE WAVE SYMMETRY (Channel [S6]): 1 Vpp
  2.006  TARGET       -p
  2.007  IEEE         APPLY SQV 1;FREQ 1E6
  2.008  TARGET       -m
  2.009  M680   COM   2T                                             +-
  2.010  6680         500nT                        1Vp               TI N
  2.011  MATH         L[1] = MEM
  2.012  M680         *
  2.013  M680   COM   2T                                             -+
  2.014  6680         500nT                        1Vp               TI N
  2.015  MATH         MEM = L[1] - MEM
  2.016  MEMC         0nT            128U          1MH
  3.001  JMPL         END

  3.002  LABEL        ACV_FREQUENCY
  3.003  RSLT         =
  3.004  RSLT         =Channel [S6]
  3.005  HEAD         FREQUENCY ACCURACY (Sine Wave, Channel [S6]): 1 MHz
  3.006  TARGET       -p
  3.007  IEEE         IMP 50;APPLY ACV 1;FREQ 1E6
  3.008  M680         2T
  3.009  TARGET       -m
  3.010  6680         1.000000MH                   1Vp               FA N
  3.011  MEMC         1.000000MH     50P%          Sine

  4.001  HEAD         FREQUENCY ACCURACY (Square Wave, Channel [S6]): 1 MHz
  4.002  IEEE         APPLY SQV 1
  4.003  M680         2T
  4.004  TARGET       -m
  4.005  6680         1.000000MH                   1Vp               FA N
  4.006  MEMC         1.000000MH     50P%          Square

  5.001  HEAD         FREQUENCY ACCURACY (Ramp Wave, Channel [S6]): 100 kHz
  5.002  IEEE         FREQ 1E5;APPLY RPV 1
  5.003  M680         2T
  5.004  TARGET       -m
  5.005  6680         100.0000kH                   1Vp               FA N
  5.006  MEMC         100.0000kH     50P%          Ramp
  6.001  JMPL         END

  6.002  LABEL        REF_FREQUENCY
  6.003  DISP         Connect the UUT (rear panel) FREQ REF (I/O) BNC
  6.003  DISP         to the PM 6680 Ch. A input.
  6.004  IEEE         REFOUT EXT
  6.005  M680         2T
  6.006  TARGET       -m
  6.007  6680         1.073741MH     50P%          1Vp               FA

  7.001  LABEL        END
  7.002  M680         *
  7.003  6680         *                                                 S
  7.004  END
